[config]
workspace = false

[tasks.build]
clear = true
workspace = false
category = "Build"
description = "Runs the Rust compiler for both server and UI."
dependencies = ["build-server", "build-ui"]

[tasks.build-server]
workspace = false
category = "Build"
description = "Runs the Rust compiler for the server."
command = "cargo"
args = ["build", "-p", "stoptime-server"]

[tasks.build-ui]
workspace = false
category = "Build"
description = "Runs the Rust compiler via wasm-pack for the UI."
install-crate = "wasm-pack"
command = "wasm-pack"
args = ["build", "--out-name", "stoptime_ui", "--out-dir", "static/pkg", "--target", "web", "--dev", "--no-typescript"]
cwd = "ui"

[tasks.run]
clear = true
workspace = false
description = "Runs the server using the latest version of the UI."
dependencies = ["build"]
command = "cargo"
args = ["run", "-p", "stoptime-server"]

[tasks.test]
clear = true
workspace = false
category = "Test"
description = "Run all available tests for the server."
command = "cargo"
args = ["test", "-p", "stoptime-server", "--all-features"]
